2022-10-06 19:21:40 UTC
40.9 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:f8c6eeaa55b0f135b7fddb3d7745a98ca4d8f06d2898611234b9ef99e1183073 - 6.6% (2.7 MB)
[#001] sha256:a02b1ff2f8c930392d4210892db04848184bf1eb30c7a56cedaac127346aefba - 0.0% (1.21 KB)
[#002] sha256:4dab01d2b7ad13289cd5f7939d2e86dfb8eeccc0128bf2ad1a432fb160d9c24a - 93.39% (38.2 MB)
[#003] sha256:b93a795d6320fd00d702d524245741f0ca29cd9bddc033cfaf8811f649cce234 - 0.0% (143 Bytes)
[#004] sha256:f487d591d1fa304db444b08afb539dac82866f6fa7be0ceee8270b5a4db1b7c3 - 0.0% (154 Bytes)
[#005] sha256:4685be7f89be1d9b040fb48c2d477d50364802e567b61c26edaad1f9faefc754 - 0.0% (1.75 KB)
/bin/sh -c #(nop) ADD file:d51bb92de86c49ee5486066d12194be78c8b9a8452c44577e2dfeef1945a0138 in /
2022-08-09 17:38:47 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2022-10-06 19:21:22 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.11.10
2022-10-06 19:21:23 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.11.10 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2022-10-06 19:21:24 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2022-10-06 19:21:25 UTC|1 CONSUL_VERSION=1.11.10 /bin/sh -c addgroup consul && adduser -S -G consul consul
2022-10-06 19:21:31 UTC|1 CONSUL_VERSION=1.11.10 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2022-10-06 19:21:32 UTC|1 CONSUL_VERSION=1.11.10 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2022-10-06 19:21:33 UTC|1 CONSUL_VERSION=1.11.10 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2022-10-06 19:21:34 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2022-10-06 19:21:35 UTC/bin/sh -c #(nop) EXPOSE 8300
2022-10-06 19:21:36 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2022-10-06 19:21:37 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2022-10-06 19:21:39 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2022-10-06 19:21:39 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2022-10-06 19:21:40 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2022-10-06 20:18:15 UTC
42 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:9621f1afde84053b2f9b6ff34fc7f7460712247c01cbab483c5fa7132cf782ca - 6.41% (2.69 MB)
[#001] sha256:f72a43df3dacc3371f92b5b497b890fa32d8c892e2ca5d676abcf568a8d7af6f - 0.0% (1.24 KB)
[#002] sha256:05dce1671656f1d20a03e9c2d6f00b7bd8b0ac53e397b217b58b4324e212bd10 - 93.58% (39.3 MB)
[#003] sha256:efc2577e56d0b39db172432c2a3fd80c68ef2f2350dc52b16f0728fb0f39bb20 - 0.0% (174 Bytes)
[#004] sha256:be25bead88471409628775ccb5ca64093dda1f8edf17d0c0cba8b1386a9af6ed - 0.0% (153 Bytes)
[#005] sha256:7df5ae5f1e7eef14ae320e77417a7e0e8093093fac3f0b2a80361561934e0283 - 0.0% (1.75 KB)
/bin/sh -c #(nop) ADD file:f77e3f51f020890d22997e6c2ca98968b75b8bc8c463341a2010ff0655d4c88f in /
2022-08-09 17:20:01 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2022-10-06 20:18:06 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.11.10
2022-10-06 20:18:06 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.11.10 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2022-10-06 20:18:06 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2022-10-06 20:18:07 UTC|1 CONSUL_VERSION=1.11.10 /bin/sh -c addgroup consul && adduser -S -G consul consul
2022-10-06 20:18:12 UTC|1 CONSUL_VERSION=1.11.10 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2022-10-06 20:18:13 UTC|1 CONSUL_VERSION=1.11.10 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2022-10-06 20:18:14 UTC|1 CONSUL_VERSION=1.11.10 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2022-10-06 20:18:14 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2022-10-06 20:18:14 UTC/bin/sh -c #(nop) EXPOSE 8300
2022-10-06 20:18:14 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2022-10-06 20:18:14 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2022-10-06 20:18:14 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2022-10-06 20:18:15 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2022-10-06 20:18:15 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2022-10-06 19:54:16 UTC
39.9 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:293b708aa6fb80967f27727d5c9c53ac9ba9cac376bed2ad02c17a5cca317b35 - 6.29% (2.51 MB)
[#001] sha256:0287d002228d4cc26f9aba60941e305bfb1f466897ae106d42301c414460e3c6 - 0.0% (1.24 KB)
[#002] sha256:369f0ea3ecfdb5e04bcc6b6da88856d305bd3203d4bdf99b42fd311be52de15d - 93.7% (37.4 MB)
[#003] sha256:48bedbfbdc1711bc3d841bb701c2a77c4bc1bc5c25a618a5a20b6df0fe4e595a - 0.0% (175 Bytes)
[#004] sha256:1e4061349abbebe66768b42679a714c284fa3a69a634c4be0bca6d90f6289571 - 0.0% (154 Bytes)
[#005] sha256:5ed88446de4baa9a9a271a43bda215ecfc98f36e9d67c4b4a58e932a7ec6de9f - 0.0% (1.75 KB)
/bin/sh -c #(nop) ADD file:89cb25f97e17bed5c56311280efe5cfa78422d8ffbe36232195d13f94d67417e in /
2022-08-09 17:49:29 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2022-10-06 19:54:06 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.11.10
2022-10-06 19:54:06 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.11.10 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2022-10-06 19:54:06 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2022-10-06 19:54:07 UTC|1 CONSUL_VERSION=1.11.10 /bin/sh -c addgroup consul && adduser -S -G consul consul
2022-10-06 19:54:14 UTC|1 CONSUL_VERSION=1.11.10 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2022-10-06 19:54:14 UTC|1 CONSUL_VERSION=1.11.10 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2022-10-06 19:54:15 UTC|1 CONSUL_VERSION=1.11.10 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2022-10-06 19:54:15 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2022-10-06 19:54:15 UTC/bin/sh -c #(nop) EXPOSE 8300
2022-10-06 19:54:16 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2022-10-06 19:54:16 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2022-10-06 19:54:16 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2022-10-06 19:54:16 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2022-10-06 19:54:16 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2022-10-06 19:55:57 UTC
39.7 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:47517142f6ba87eca6b7bdca1e0df160b74671c81e4b9605dad38c1862a43be3 - 6.53% (2.59 MB)
[#001] sha256:2c4352ce334764a0f55f156b86ca907ebfd91d2ee6a073a6c2942eeb29be79ae - 0.0% (1.21 KB)
[#002] sha256:b79b979b81cef9983e9ad956b513f1a73a54af98f6dda2dcaa1402746c46172b - 93.46% (37.1 MB)
[#003] sha256:dda747340e7fb80e56b467bf0e2879adfc7bc6b6e3c00691a166f04d6bc7cf61 - 0.0% (142 Bytes)
[#004] sha256:94f0afae559e58411038e9ef46ad49588c276df1a618d9c20f384dd44e24ab80 - 0.0% (154 Bytes)
[#005] sha256:14b6029d87cc9d50f18807f2c90d1009ab337f330712b0da3552383115cf1bc1 - 0.0% (1.75 KB)
/bin/sh -c #(nop) ADD file:4b51a9d40f20d2beb29d0759b161d2b9403493453beb509de4e86a5d98513f16 in /
2022-08-09 17:39:51 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2022-10-06 19:55:40 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.11.10
2022-10-06 19:55:41 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.11.10 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2022-10-06 19:55:42 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2022-10-06 19:55:43 UTC|1 CONSUL_VERSION=1.11.10 /bin/sh -c addgroup consul && adduser -S -G consul consul
2022-10-06 19:55:48 UTC|1 CONSUL_VERSION=1.11.10 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2022-10-06 19:55:49 UTC|1 CONSUL_VERSION=1.11.10 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2022-10-06 19:55:50 UTC|1 CONSUL_VERSION=1.11.10 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2022-10-06 19:55:51 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2022-10-06 19:55:52 UTC/bin/sh -c #(nop) EXPOSE 8300
2022-10-06 19:55:53 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2022-10-06 19:55:54 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2022-10-06 19:55:56 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2022-10-06 19:55:56 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2022-10-06 19:55:57 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]